Package org.h2.result

# Class UpdatableRow

java.lang.Object
org.h2.result.UpdatableRow

public class UpdatableRow extends Object
This class is used for updatable result sets. An updatable row provides functions to update the current row in a result set.

## Constructor Summary

Constructors
Constructor
Description
`UpdatableRow(JdbcConnection conn, ResultInterface result)`
Construct a new object that is linked to the result set.

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteRow(Value[] current)`
Delete the given row in the database.
`void`
`insertRow(Value[] row)`
Insert a new row into the database.
`boolean`
`isUpdatable()`
Check if this result set is updatable.
`Value[]`
`readRow(Value[] row)`
Re-reads a row from the database and updates the values in the array.
`void`
`updateRow(Value[] current, Value[] updateRow)`
Update a row in the database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpdatableRow

public UpdatableRow(JdbcConnection conn, ResultInterface result) throws SQLException
Construct a new object that is linked to the result set. The constructor reads the database meta data to find out if the result set is updatable.

Parameters:
  `conn` - the database connection
  `result` - the result
Throws:
  `SQLException` - on failure

## Method Details

### isUpdatable

public boolean isUpdatable()
Check if this result set is updatable.

Returns:
  true if it is

### readRow

public Value[] readRow(Value[] row) throws SQLException
Re-reads a row from the database and updates the values in the array.

Parameters:
  `row` - the values that contain the key
Returns:
  the row
Throws:
  `SQLException` - on failure

### deleteRow

public void deleteRow(Value[] current) throws SQLException
Delete the given row in the database.

Parameters:
  `current` - the row
Throws:
  `SQLException` - if this row has already been deleted

### updateRow

public void updateRow(Value[] current, Value[] updateRow) throws SQLException
Update a row in the database.

Parameters:
  `current` - the old row
  `updateRow` - the new row
Throws:
  `SQLException` - if the row has been deleted

### insertRow

public void insertRow(Value[] row) throws SQLException
Insert a new row into the database.

Parameters:
  `row` - the new row
Throws:
  `SQLException` - if the row could not be inserted